#### D.5.9.5 ReJunkUseHomo

Procedure from library `numerDecom.lib` (see numerDecom_lib).

Usage:
  ReJunkUseHomo(ideal I, ideal L, list W, list w);
  I ideal, L list of generic linear polynomials {l_1,...,l_i}, W list of a subset of the solution set of the generic slicing V(L) with V(J), w list of a point in V(J)

Return:
  t=1 if w on an i-dimensional component of V(I),
  otherwise t=0. Where i=size(L)

Example:

    LIB "numerDecom.lib";
    ring r=(complex,16,I),(x,y,z),dp;
    poly f1=(x2+y2+z2-6)*(x-y)*(x-1);
    poly f2=(x2+y2+z2-6)*(x-z)*(y-2);
    poly f3=(x2+y2+z2-6)*(x-y)*(x-z)*(z-3);
    ideal J=f1,f2,f3;
    poly l1=15x+16y+6z+17;
    poly l2=2x+14y+4z+18;
    ideal L=l1,l2;
    list W1=list(0.5372775295412116,-0.7105339291010922,-2.2817700129167831+I*0),list(0.09201175741935605,-1.7791717821935455,1.6810953589677311);
    list w=list(2,2,-131666666/10000000);
    def D=ReJunkUseHomo(J,L,W1,w);
    setring D;
    t;

User manual for Singular version 4.4.1, 2025, generated by texi2html.